package com.ywt.outpatient.taihe.rpc.domain.enums;

/**
 * 支付渠道枚举
 *
 * @author johnson lin
 * @date 2019/4/29 9:51 PM
 */
public enum PaymentChannel {
    /**
     * 微信支付
     */
    WX_PAY("微信", 1),
    ALI_PAY("支付宝", 2),
    /**
     * 现场支付
     */
    CASH("现金", 3),
    MEDICAL_CARD("诊疗卡", 4),
    POS("pos机", 5),
    FREE("无须支付", 6),
    MEDICAL_INSURANCE("医保", 7);

    private final String displayName;

    private final int value;

    PaymentChannel(String displayName, int value) {
        this.displayName = displayName;
        this.value = value;
    }

    public String getDisplayName() {
        return displayName;
    }

    public int getValue() {
        return value;
    }
}
